For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • POSTRemoves a tag from all private tasks.
      • GETReturns all tags of the private tasks of the current user.
      • POSTUpdates a tag for all private tasks.
      • POSTRemoves a tag from all project tasks.
      • GETReturns all task tags that are currently in use by tasks.
      • POSTUpdates a tag globally for all project tasks.
      • POSTAdds a batch of tags to the task with the specified id.
      • POSTRemoves tags from the task with the specified id.
      • GETReturns the tags of the task with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Tags

Returns the tags of the task with the specified id.

GET
https://api.awork.com/api/v1/tasks/:taskId/tags
GET
/api/v1/tasks/:taskId/tags
$curl https://api.awork.com/api/v1/tasks/taskId/tags \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "name": "Design",
9 "color": "purple"
10 }
11]
Returns the tags of the task with the specified id ordered by name. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all task dependencies for a specific project.

Next
Built with

Returns the tags of the task with the specified id ordered by name.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The id of the task to get the tags for.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the tag.
colorstring or null
The color of the tag.

Errors

401
Unauthorized Error